Bug 851825 - Need consistent naming of glyphs across entire font family
Need consistent naming of glyphs across entire font family
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: liberation-fonts (Show other bugs)
17
All All
unspecified Severity low
: ---
: ---
Assigned To: Pravin Satpute
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-25 23:40 EDT by Deron Meranda
Modified: 2012-12-20 11:24 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-20 11:24:16 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
List of inconsistently-named glyphs and unicode mappings (83.99 KB, text/plain)
2012-08-25 23:41 EDT, Deron Meranda
no flags Details

  None (edit)
Description Deron Meranda 2012-08-25 23:40:29 EDT
Description of problem:
Among all the different fonts within the Liberation family the naming of glyphs and mappings to Unicode codepoints should be consistent.

For example, the glyph named "fi" maps to U+FB01 in LiberationMono-Regular.sfd, but to U+F001 in LiberationSans-Italic.sfd.

Also, for the reverse mappings, the Unicode codepoint U+00B7 maps to glyph "middot.001" in LiberationMono-BoldItalic.sfd, but to a glyph named "middot" in LiberationSans-Regular.sfd and to "uni00B7" in LiberationSerif-Bold.sfd.


Version-Release number of selected component (if applicable):
liberation-fonts-2.00.0

Expected results:
All the fonts in the font family should use consistent glyph names and unicode codepoints (when a particular character is in the font).

Additional info:
The attachment lists all these inconsistencies. I've excluded cases where a particular glyph/character is not included in one font.

Note that many of these are simply cases where:
* A glyph is not named (e.g., of the form "uniXXXX")
* A glyph has no unicode assignment (value 1)

Also in a few cases there are glyphs that have multiple unicode codepoint assignments — see Bug #851790
Comment 1 Deron Meranda 2012-08-25 23:41:27 EDT
Created attachment 607033 [details]
List of inconsistently-named glyphs and unicode mappings
Comment 2 Pravin Satpute 2012-09-13 07:35:23 EDT
resolved this and committed to upstream.
Can you test it once from git repo?
Comment 3 Fedora Update System 2012-10-04 12:13:35 EDT
liberation-fonts-2.00.1-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/liberation-fonts-2.00.1-1.fc18
Comment 4 Fedora Update System 2012-10-04 13:52:54 EDT
Package liberation-fonts-2.00.1-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing liberation-fonts-2.00.1-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-15393/liberation-fonts-2.00.1-1.fc18
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2012-12-20 11:24:17 EST
liberation-fonts-2.00.1-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.